# Uses of Interface
java.rmi.activation.Activator

Packages that use Activator
Package
Description
java.rmi.activation
Provides support for RMI Object Activation.

## Uses of Activator in java.rmi.activation

Constructors in java.rmi.activation with parameters of type Activator
Modifier
Constructor
Description
``
`ActivationID​(Activator activator)`
Deprecated, for removal: This API element is subject to removal in a future version.
The constructor for `ActivationID` takes a single argument, activator, that specifies a remote reference to the activator responsible for activating the object associated with this identifier.